diff -r 7310b1278dee QsLog/QsLog.pri
--- a/QsLog/QsLog.pri	Thu May 30 14:55:09 2013 +0200
+++ b/QsLog/QsLog.pri	Mon Sep 02 18:04:59 2013 +0200
@@ -1,19 +1,73 @@
-INCLUDEPATH += $$PWD
+# Copyright (c) 2013, Razvan Petru
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without modification,
+# are permitted provided that the following conditions are met:
+#
+# * Redistributions of source code must retain the above copyright notice, this
+#   list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above copyright notice, this
+#   list of conditions and the following disclaimer in the documentation and/or other
+#   materials provided with the distribution.
+# * The name of the contributors may not be used to endorse or promote products
+#   derived from this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
+# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
+# BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
+# OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
+# OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+# Update to build shared & static libraries: Xavier Lamien <laxathom@fedoraproject.org>
+
+NAME = "QsLog"
+VERSION = "2.0.0"
+
+QT -= gui
+
+CONFIG -= console
+CONFIG -= app_bundle
+
 #DEFINES += QS_LOG_LINE_NUMBERS    # automatically writes the file and line for each log message
 #DEFINES += QS_LOG_DISABLE         # logging code is replaced with a no-op
 #DEFINES += QS_LOG_SEPARATE_THREAD # messages are queued and written from a separate thread
-SOURCES += $$PWD/QsLogDest.cpp \
-    $$PWD/QsLog.cpp \
-    $$PWD/QsLogDestConsole.cpp \
-    $$PWD/QsLogDestFile.cpp
 
-HEADERS += $$PWD/QSLogDest.h \
-    $$PWD/QsLog.h \
-    $$PWD/QsLogDestConsole.h \
-    $$PWD/QsLogLevel.h \
-    $$PWD/QsLogDestFile.h \
-    $$PWD/QsLogDisableForThisFile.h
+INCLUDEPATH += include
 
-OTHER_FILES += \
-    $$PWD/QsLogChanges.txt \
-    $$PWD/QsLogReadme.txt
+SOURCES +=               \
+    QsLogDest.cpp        \
+    QsLog.cpp            \
+    QsLogDestConsole.cpp \
+    QsLogDestFile.cpp
+
+HEADERS +=              \
+    QSLogDest.h         \
+    QsLog.h             \
+    QsLogDestConsole.h  \
+    QsLogLevel.h        \
+    QsLogDestFile.h     \
+    QsLogDisableForThisFile.h
+
+OTHER_FILES +=       \
+    QsLogChanges.txt \
+    QsLogReadme.txt
+
+DESTDIR = .lib
+
+headers.files = *.h
+headers.path = /usr/include/$(QMAKE_TARGET)
+
+other_files.files = *.txt
+other_files.path = /usr/local/share/$(QMAKE_TARGET)
+
+contains( QT_ARCH, x86_64 ) {
+    target.path = /usr/lib64
+}
+else {
+    target.path = /usr/lib
+}
diff -r 7310b1278dee QsLog/QsLog.pro
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/QsLog/QsLog.pro	Mon Sep 02 18:04:59 2013 +0200
@@ -0,0 +1,41 @@
+# Copyright (c) 2013, Razvan Petru
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without modification,
+# are permitted provided that the following conditions are met:
+#
+# * Redistributions of source code must retain the above copyright notice, this
+#   list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above copyright notice, this
+#   list of conditions and the following disclaimer in the documentation and/or other
+#   materials provided with the distribution.
+# * The name of the contributors may not be used to endorse or promote products
+#   derived from this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
+# INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
+# BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
+# OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
+# OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+# PRO file to build project as shared or static libraries:  Xavier Lamien <laxathom@fedoraproject.org>
+
+include(QsLog.pri)
+
+TEMPLATE = lib
+TARGET = $$(NAME)
+
+contains( USE_STATIC, yes ) {
+    CONFIG += static
+}
+else {
+    # Default is shared however, we make sure it is.
+    CONFIG += shared
+}
+
+INSTALLS += headers target other_files
diff -r 7310b1278dee QsLog/log_example.pro
--- a/QsLog/log_example.pro	Thu May 30 14:55:09 2013 +0200
+++ b/QsLog/log_example.pro	Mon Sep 02 18:04:59 2013 +0200
@@ -1,11 +1,12 @@
 # -------------------------------------------------
 # Project created by QtCreator 2010-03-20T12:17:43
 # -------------------------------------------------
-QT -= gui
+
+include(QsLog.pri)
+
 TARGET = log_example
+TEMPLATE = app
+
 CONFIG += console
-CONFIG -= app_bundle
-TEMPLATE = app
-SOURCES += \
-    examplemain.cpp
-include(QsLog.pri)
+
+SOURCES += examplemain.cpp
